{
  pkgs,
  inputs,
  myConfig,
  lib,
  ...
}: {
  imports = [
    inputs.stylix.homeModules.stylix
  ];
  stylix = {
    autoEnable = false;
    targets = {
      firefox = {
        enable = false;
        colorTheme.enable = true;
        profileNames = [
          "hakase"
        ];
      };
      hyprpaper.enable = true;
      hyprlock.enable = true;
      gtk.enable = true;
    };
    enable = true;
    # autoEnable = false;
    image = ../../assets/Wallpapers/${myConfig.hyprland.wallpaper};
    polarity = "dark";
    # base16Scheme = lib.mkDefault {
    #   generator = "vibrant";
    # };
    iconTheme = {
      enable = true;
      package = pkgs.papirus-icon-theme; # The package to install
      dark = "Papirus-Dark"; # The theme name for dark mode
      light = "Papirus-Light"; # The theme name for light mode
    };
  };
}
